install help please

Problems with the Linux version of XAMPP, questions, comments, and anything related.

install help please

Postby snork » 07. May 2009 20:07

xampp has been working fine until I upgraded to the 2009 version of PCLinuxOS from 2007. I've downloaded the latest version of xampp but when I try to start it, I get the following errors. According to the FAQ, if I get these messages, I must have an old Linux version. Clearly I don't.

Any suggestions would be greatly appreciated.

/opt/lampp/lampp start
cat: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
/bin/sh: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
Starting XAMPP for Linux ...
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
XAMPP for Linux started.
snork
 
Posts: 3
Joined: 07. May 2009 20:01

Re: install help please

Postby snork » 07. May 2009 22:15

I went into the lampp file and changed the LD_ASSUME_KERNEL line from 2.2 to 2.6.26, my exact kernel.
Why wouldn't the install script or the start script handle that?

Now, I'm getting the download window appearing when I try to access a php page. The httpd.conf and permissions are identical to the previous install. Not sure what's going on but I'll keep researching.
snork
 
Posts: 3
Joined: 07. May 2009 20:01

Re: install help please-SOLVED

Postby snork » 07. May 2009 22:29

Strange.

I had a file called user.php, which has been working for the past 6 months, before upgrading to the latest xampp. That is the file that I've been using to test with. I decided to try phpinfo.php and it worked in every subdirectory just fine. When I changed the name of the file from user.php to users.php, everything works.

I have no idea what changed from a previous version, but all seems OK now.
snork
 
Posts: 3
Joined: 07. May 2009 20:01

Re: install help please

Postby xampp669 » 12. August 2009 05:31

I have been messing with this xampp for 10 days trying to get it to run and i am just about to give up on it

the docs say 4 steps to install and run , well i say OSWALD told a big fib.

i have torn down & performed fresh installs with 3 distro's of linux and i keep getting the same crap

it wont run at all using the provided instructions.

when i try to run it after the

tar xvzf Xampp-linux-1.7.1.tar.gz -C /opt

the files appear to extract ok

but when i try the

/opt/lampp/lampp start

all i get is cannof find file or directory (or somthing like this)

after looking at /root environmet variable and adding the path of /opt/lampp: to the roots .profile i was able to do a ''which lampp' but am still unable to run anything

I am trying to have a website built and the progress has been painfully slow.

the server side php & perl & SQL stuff is what's holding up the site deveolpment for the past 4 months and noting is working at the server side as far as the php, sql, etc. and my web programmer needs this shit working.

needless to say im getting very tired of all the BS.

So if authors cares to tell me what the problem is i would like to know asap.


So like what do i need to alter to make this work?

I am currently running openBSD 4.3 with a a 80 gig hd 512mb ram and asrock board

thanks
xampp669
 
Posts: 1
Joined: 12. August 2009 04:45

Re: install help please

Postby Wiedmann » 12. August 2009 09:03

I am currently running openBSD 4.3

XAMPP for Linux is (designed) or a Linux operating system (like the name says). And not for some other like OpenBSD. Even if you have installed a Linux compatibility layer on any BSD.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests